# Compiles cmem
# Will run as part of the sdk-files recipe, the edma recipe fetch reiles upon this fetch. See sdk-files for more details.
do_fetch[depends] += "mdkfetch:do_package libdsp:do_unpack"
LICENSE = "GPLv2"

SRC_URI = "svn://svnsrv/svn/mityomap/mityomapl138/trunk/sw;module=3rdparty/linuxutils_2_26_01_02/packages/ti/sdo/linuxutils/cmem;protocol=http \
"

DEPENDS += "virtual/kernel"

LIC_FILES_CHKSUM = "file://${COREBASE}/meta/files/common-licenses/GPL-2.0;md5=801f80980d171dd6425610833a22dbe6"
SRCREV="${AUTOREV}"

S = "${WORKDIR}"

do_compile() {
        unset CFLAGS CPPFLAGS CXXFLAGS LDFLAGS
	
	cd ${S}/3rdparty/linuxutils_2_26_01_02/packages/ti/sdo/linuxutils/cmem && sed -i -e 's/angstrom/criticallink/g' Rules.make
	cd ${S}/3rdparty/linuxutils_2_26_01_02/packages/ti/sdo/linuxutils/cmem && sed -i -e 's#LINUXKERNEL_INSTALL_DIR?=/home/mikew/linux-davinci#LINUXKERNEL_INSTALL_DIR?=${S}/../../../mityomapl138-criticallink-linux-gnueabi/linux-davinci/3.2+gitAUTOINC+*/linux-mityomapl138-standard-build#g' Rules.make
	if ![ -e ${S}/3rdparty/linuxutils_2_26_01_02/packages/ti/sdo/linuxutils/cmem/cmem_kmod ]
	  then
		cd ${S}/3rdparty/linuxutils_2_26_01_02/packages/ti/sdo/linuxutils/cmem && mkdir cmem_kmod
	fi
	cd ${S}/3rdparty/linuxutils_2_26_01_02/packages/ti/sdo/linuxutils/cmem && sed -i -e 's#EXEC_DIR?=/tmp/cmem#EXEC_DIR?=${S}/3rdparty/linuxutils_2_26_01_02/packages/ti/sdo/linuxutils/cmem/cmem_kmod#g' Rules.make
	
	cd ${S}/3rdparty/linuxutils_2_26_01_02/packages/ti/sdo/linuxutils/cmem && make
	cd ${S}/3rdparty/linuxutils_2_26_01_02/packages/ti/sdo/linuxutils/cmem && make release
	cd ${S}/3rdparty/linuxutils_2_26_01_02/packages/ti/sdo/linuxutils/cmem && make install
}
