# Compiles dspcore.lib using the code composer 5 toolchain
# Will run as part of the sdk-files recipe, no recipe reiles upon this fetch. See sdk-files for more details. Note that if more recipes are to use this SVN repository for their source, they should be added to the fetch sequence following this recipe.
do_fetch[depends] = "mdkfetch:do_package edma:do_unpack"

LICENSE = "GPLv2"

LIC_FILES_CHKSUM = "file://${COREBASE}/meta/files/common-licenses/GPL-2.0;md5=801f80980d171dd6425610833a22dbe6"

SRC_URI="svn://svnsrv/svn/mityomap/mityomapl138/trunk/sw;module=DSP;protocol=http \
	svn://svnsrv/svn/mityomap/mityomapl138/trunk/sw;module=3rdparty;protocol=http \
        svn://svnsrv/svn/mityomap/mityomapl138/trunk/sw;module=common;protocol=http \
	file://build_ccs.sh \
"

SRCREV="${AUTOREV}"

S = "${WORKDIR}"

do_compile() {
	cd ${S} && ./build_ccs.sh DSP/lib/core core Release
	cd ${S} && ./build_ccs.sh DSP/lib/core core Debug
}
