# Compiles edma for the MDK
# Will run as part of the sdk-files recipe, the dspcore recipe fetch reiles upon this fetch. See sdk-files for more details.
do_fetch[depends] = "mdkfetch:do_package cmem:do_unpack"

LICENSE = "GPLv2"

SRC_URI= "svn://svnsrv/svn/mityomap/mityomapl138/trunk/sw;module=3rdparty/linuxutils_2_26_01_02/packages/ti/sdo/linuxutils/edma;protocol=http \
"

LIC_FILES_CHKSUM = "file://${COREBASE}/meta/files/common-licenses/GPL-2.0;md5=801f80980d171dd6425610833a22dbe6"
SRCREV="${AUTOREV}"

S = "${WORKDIR}"

do_compile() {
        unset CFLAGS CPPFLAGS CXXFLAGS LDFLAGS

        cd ${S}/3rdparty/linuxutils_2_26_01_02/packages/ti/sdo/linuxutils/edma && sed -i -e 's/angstrom/criticallink/g' Rules.make
        cd ${S}/3rdparty/linuxutils_2_26_01_02/packages/ti/sdo/linuxutils/edma && sed -i -e 's#LINUXKERNEL_INSTALL_DIR?=/db/toolsrc/library/vendors2005/kernel_org/arm/KERNEL_DEV.DaVinciPSP.03.00.00.00/DaVinci-PSP-SDK-DEV.DaVinciPSP.03.00.00.00/kernel/dm365#LINUXKERNEL_INSTALL_DIR?=${S}/../../../mityomapl138-criticallink-linux-gnueabi/linux-davinci/3.2+gitAUTOINC+*/linux-mityomapl138-standard-build#g' Rules.make
	if ![ -e ${S}/3rdparty/linuxutils_2_26_01_02/packages/ti/sdo/linuxutils/edma/edma_kmod ]
          then
                cd ${S}/3rdparty/linuxutils_2_26_01_02/packages/ti/sdo/linuxutils/edma && mkdir edma_kmod
        fi
        cd ${S}/3rdparty/linuxutils_2_26_01_02/packages/ti/sdo/linuxutils/edma && sed -i -e 's#EXEC_DIR?=/tmp#EXEC_DIR?=${S}/3rdparty/linuxutils_2_26_01_02/packages/ti/sdo/linuxutils/edma/edma_kmod#g' Rules.make
	
	unset LDFLAGS

        cd ${S}/3rdparty/linuxutils_2_26_01_02/packages/ti/sdo/linuxutils/edma && unset LDFLAGS && make
	cd ${S}/3rdparty/linuxutils_2_26_01_02/packages/ti/sdo/linuxutils/edma && make release
        cd ${S}/3rdparty/linuxutils_2_26_01_02/packages/ti/sdo/linuxutils/edma && make install
}

