# Compiles and installs the libdsp library
# Will run as part of the sdk-files recipe, the cmem recipe fetch reiles upon this fetch. See sdk-files for more details.
do_fetch[depends] = "mdkfetch:do_package sdk-files:do_unpack"

LICENSE = "GPLv2"

SRC_URI= "svn://svnsrv/svn/mityomap/mityomapl138/trunk/sw;module=ARM/linux/libdsp;protocol=http \
	svn://svnsrv/svn/mityomap/mityomapl138/trunk/sw;module=3rdparty;protocol=http \
	svn://svnsrv/svn/mityomap/mityomapl138/trunk/sw;module=common;protocol=http \
"
LIC_FILES_CHKSUM = "file://${COREBASE}/meta/files/common-licenses/GPL-2.0;md5=801f80980d171dd6425610833a22dbe6"
SRCREV="${AUTOREV}"

S = "${WORKDIR}"

do_compile() {
	unset CFLAGS CPPFLAGS CXXFLAGS LDFLAGS 
	
	cd ${S}/ARM/linux/libdsp && sed -i -e 's/angstrom/criticallink/g' Makefile
	cd ${S}/ARM/linux/libdsp && sed -i -e 's#../../../3rdparty/dsplink_linux_1_65_00_03/dsplink#${S}/3rdparty/dsplink_linux_1_65_00_03/dsplink#g' Makefile

	rm -rf ${S}/ARM/linux/libdsp/common
	mkdir ${S}/ARM/linux/libdsp/common/

	cp ${S}/common/mdk_version.h ${S}/ARM/linux/libdsp/common/

	cd ${S}/ARM/linux/libdsp && make all
}	
