inherit kernel
require recipes-kernel/linux/linux-yocto.inc

SRC_URI = "git://support.criticallink.com/home/git/linux-davinci.git;protocol=git;bareclone=1;branch=${KBRANCH}"

KBRANCH = "mitydsp-linux-v3.2"
KDIR = "${WORKDIR}/git"

LINUX_VERSION ?= "3.2"
LINUX_VERSION_EXTENSION ?= "3.2"

SRCREV="${AUTOREV}"

PR = "r0"
PV = "${LINUX_VERSION}+git${SRCPV}"

COMPATIBLE_MACHINE_mityomapl138 = "mityomapl138"

KERNEL_DEFCONFIG ?= "industrialio_defconfig"

do_configure() {
        unset LDFLAGS
        oe_runmake ${KERNEL_DEFCONFIG}
}
