SRCREV = "${AUTOREV}"
PR = "r8"
BRANCH = "master"
CL_SOURCE_REPO = "mitydsp-l138-fpgautil.git"

DESCRIPTION = "fpgautil"
HOMEPAGE = "http://www.mitydsp.com"
LICENSE = "MIT"
LIC_FILES_CHKSUM="file://COPYING;md5=f3e38c1f1e0db893f5e9a1b4328246d3"
SRC_URI = "${CL_SOURCE_GIT_HOST}${CL_SOURCE_GIT_PATH}${CL_SOURCE_REPO};protocol=git;branch=${BRANCH};destsuffix=${S} \
	   ${CL_SOURCE_GIT_HOST}${CL_SOURCE_GIT_PATH}${CL_SOURCE_REPO_L138COMMON};protocol=git;branch=${BRANCH};destsuffix=${S_COMMON} \
	   file://load_fpga "

S = "${WORKDIR}/fpgautil"
S_COMMON = "${WORKDIR}/common"

do_compile () {
	${CC} ${CFLAGS} -I${WORKDIR}/common/fpga ${LDFLAGS} ${S}/fpgautil.c -o fpgautil
}

do_install () {
	install -m 0755 -d ${D}${bindir}
	install -m 0755 fpgautil ${D}${bindir}/fpgautil
	install -m 0755 ${WORKDIR}/load_fpga ${D}${bindir}/load_fpga
}
