inherit populate_sdk_cl

# Customizations for MitySOM 335x platform
SDK_DEPENDS += "sdk-files:do_deploy"

fakeroot create_sdk_files_platform() {
	install -d ${SDK_OUTPUT}/${SDKPATH}/mdkextrafiles

	# Install additional files from SVN
        if [ -e ${DEPLOY_DIR_IMAGE}/mdkextrafiles ]; then
		cd ${DEPLOY_DIR_IMAGE}/mdkextrafiles
		for f in `find * -type d` ; do
                        install -d ${SDK_OUTPUT}/${SDKPATH}/mdkextrafiles/$f
                done
                for f in `find * -type f` ; do
                        install -m 0755 $f ${SDK_OUTPUT}/${SDKPATH}/mdkextrafiles/$f
                done
                cd -
        fi

}
