DESCRIPTION = "Base tasks for a SOM image."
LICENSE = "MIT"
PR = "r0"

inherit packagegroup

CL_L138_BASE = "\
	busybox \
	cl-dsplink \
	fpga-driver-modules \
	fpgautil \
	kernel-modules \
	libdaq \
	systemd-serialgetty \
	udev-extraconf \
"

CL_L138_GFX = "\
	fbfill \
"

RDEPENDS_${PN} = "\
	${CL_L138_BASE} \
	${@base_contains('MACHINE_FEATURES', 'screen', '${CL_L138_GFX}', '',d)}\
"
